This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 490171 - Review Request: mediawiki-semantic-forms - An extension to MediaWiki that adds support for web-based forms
Review Request: mediawiki-semantic-forms - An extension to MediaWiki that add...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-03-13 12:47 EDT by James Laska
Modified: 2013-09-02 02:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-25 22:05:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-03-13 12:47:13 EDT
Spec URL: http://jlaska.fedorapeople.org/mediawiki-semantic/mediawiki-semantic-forms.spec
SRPM URL: http://jlaska.fedorapeople.org/mediawiki-semantic/mediawiki-semantic-forms-1.5.4-1.fc11.src.rpm
Description: 

Semantic Forms is an extension to MediaWiki that allows users to add and edit
data using forms. It is heavily tied in with the Semantic MediaWiki extension,
and is meant to be used for structured data that has semantic markup. Having
Semantic MediaWiki installed is a precondition for the Semantic Forms
extension; the code will not fully work without it.

Very simply, Semantic Forms allows you to have forms for adding and editing
data on your wiki, without any programming. Forms can be created and edited not
just by administrators, but by users themselves.

Open questions:  I'm unclear on how to license this package.  The upstream code indicates it's GPL, but rpmlint (and the licensing guidelines indicate that "GPL" is not specific enough).  Also, from the SemanticForms README file:

* The Semantic Forms extension makes external calls to the Yahoo!
User Interface (YUI) JavaScript library
(http://developer.yahoo.com/yui/). YUI is distributed via the
BSD license (http://developer.yahoo.com/yui/license.html),
which is compatible with the GPL license under which Semantic
Forms is distributed.

* Semantic Forms also includes the Floatbox Javascript library
by Byron McGregor (http://randomous.com/tools/floatbox/). Floatbox
is distributed via the Creative Commons Attribution 3.0 License
(http://creativecommons.org/licenses/by/3.0/), which is compatible
with the GPL license under which Semantic Forms is distributed.
Comment 1 Jason Tibbitts 2009-03-13 13:45:01 EDT
GPL is indeed not specific enough; you need to indicate the version of the GPL in use.  You need to look at the code for the license blocks which specify the GPL version.  If those don't exist, the COPYING file is explicit:

  Each version is given a distinguishing version number.  If the Program
  specifies a version number of this License which applies to it and "any
  later version", you have the option of following the terms and conditions
  either of that version or of any later version published by the Free
  Software Foundation.  If the Program does not specify a version number of
  this License, you may choose any version ever published by the Free Software
  Foundation.

so the license tag would be "GPL+".  In this case, you should also communicate with upstream to get them to include proper license blocks in the code or to otherwise clarify their intent.
Comment 2 James Laska 2009-03-13 16:06:20 EDT
> so the license tag would be "GPL+". 

Thanks for the guidance.  I've updated the .spec and src.rpm (same URL's as noted in comment#0).  I'll reach out to upstream for clarification on which version of the GPL we must abide by.
Comment 3 James Laska 2009-03-18 10:34:58 EDT
After consulting Paul Frields, it was recommended that the fedora package specify "GPLv2 and CC-BY" as the license.  I've discussed this with upstream to keep Yaron (upstream maintainer) informed.

I've updated the spec and src.rpm URLs noted in comment#0.  The updated src and noarch packages now pass rpmlint.
Comment 4 Jason Tibbitts 2009-03-25 19:59:42 EDT
Please note that if you wish to indicate a license which differs from the license indicated by the code itself, you must include some kind of statement from the copyright holder indicating that the license tag you've chosen properly represents their wishes.  It's permissible to include an email from them, or to point to a statement on an upstream web site if you reasonably believe is authored by the code's copyright holder, but it doesn't suffice to just change the License: tag.  I can't see anything at all in the code which would indicate that GPLv2 only is correct, so you must have corresponded with upstream about it.  Just drop that email into another source file and install it as %doc.

Also, the spec needs to indicate which files in the package are under which license.  See http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios for more information.

Finally, please bump the release each time you change your package.
Comment 5 Jason Tibbitts 2009-07-01 19:43:39 EDT
So, it's been three months with no response.  Did you wish to continue with this package?  I'll go ahead and close this ticket soon if there's no further progress.
Comment 6 James Laska 2009-07-07 07:53:22 EDT
Hold off for closing for a bit please.  

Fedora QA is going through a proof-of-concept with the help of fedora-infrastructure to evaluate whether mediawiki + semantic is a good short-term solution for managing test content on the wiki.  Based on this evaluation, I will either close this request or address your concerns in comment#4 and seek approval.

Thanks!  Stay tuned.
Comment 7 Jason Tibbitts 2009-07-07 14:26:26 EDT
Please clear the whiteboard if you would like this to be reviewed.
Comment 8 Jason Tibbitts 2010-01-25 19:20:09 EST
Still no progress in half a year; can we go ahead and close this out now?
Comment 9 James Laska 2010-01-25 19:38:41 EST
(In reply to comment #8)
> Still no progress in half a year; can we go ahead and close this out now?    

Yeah let's close it.  If this comes back as a summer project, we'll just reopen the bug and pick up where things left off.

Note You need to log in before you can comment on or make changes to this bug.